This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1005129 - DHT : on toggling cluster.nufa option for a volume ,got an error for touch command 'touch: cannot touch `f5': No such file or directory'
DHT : on toggling cluster.nufa option for a volume ,got an error for touch c...
Status: CLOSED DEFERRED
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute (Show other bugs)
2.1
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Nithya Balachandran
storage-qa-internal@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 05:25 EDT by Rachana Patel
Modified: 2015-11-27 07:04 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-27 07:04:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rachana Patel 2013-09-06 05:25:20 EDT
Description of problem:
DHT : on toggling cluster.nufa option  for a volume ,got an error for touch command 'touch: cannot touch `f5': No such file or directory'

Version-Release number of selected component (if applicable):
3.4.0.30rhs-2.el6_4.x86_64

How reproducible:
intermittent

Steps to Reproduce:
1.have a cluster of 3 RHSS and distributed volume having one brick per server. set cluster.nufa off
[root@DHT3 ~]# gluster v info nufa
 
Volume Name: nufa
Type: Distribute
Volume ID: dd08d0e3-3b71-4d1b-8102-fd6067ecc263
Status: Started
Number of Bricks: 3
Transport-type: tcp
Bricks:
Brick1: 10.70.37.195:/rhs/brick2/n1
Brick2: 10.70.37.66:/rhs/brick2/n1
Brick3: 10.70.37.98:/rhs/brick2/n1
Options Reconfigured:
cluster.nufa: on

2. (FUSE)mount this volume on all server 
[root@DHT1 nufa]# mount | grep nufa
10.70.37.66:/nufa on /mnt/nufa type fuse.glusterfs (rw,default_permissions,allow_other,max_read=131072)

[root@DHT2 nufa]# mount | grep nufa
10.70.37.66:/nufa on /mnt/nufa type fuse.glusterfs (rw,default_permissions,allow_other,max_read=131072)

[root@DHT3 nufa]# mount | grep nufa
10.70.37.66:/nufa on /mnt/nufa type fuse.glusterfs (rw,default_permissions,allow_other,max_read=131072)

also (FUSE)mount this volume on client(node which is not part of cluster) 
[root@rhs-client22 ~]# mount | grep nufa
10.70.37.66:/nufa on /mnt/nufa type fuse.glusterfs (rw,default_permissions,allow_other,max_read=131072)

Case 1:-

1. created few files from RHSS mount point and deleted all files

2. reset cluster.nufa option for volume.

3. create files from client mount point and got below error
[root@rhs-client22 ~]# cd /mnt/nufa
[root@rhs-client22 nufa]# touch f{1..10}
touch: cannot touch `f1': No such file or directory
touch: cannot touch `f2': No such file or directory
touch: cannot touch `f3': No such file or directory
touch: cannot touch `f4': No such file or directory
touch: cannot touch `f5': No such file or directory
touch: cannot touch `f6': No such file or directory
touch: cannot touch `f7': No such file or directory
touch: cannot touch `f8': No such file or directory
touch: cannot touch `f9': No such file or directory
touch: cannot touch `f10': No such file or directory
[root@rhs-client22 nufa]# ls
abc  f1  f10  f2  f3  f4  f5  f6  f7  f8  f9

log:-
[2013-09-06 05:21:49.736473] E [fuse-bridge.c:1162:fuse_getattr_resume] 0-glusterfs-fuse: 928: GETATTR 140317027706436 (a45e1c5e-47fd-4839-8123-3158a4cdc959) resolution failed
[2013-09-06 05:21:49.737060] E [fuse-bridge.c:1493:fuse_setattr_resume] 0-glusterfs-fuse: 929: SETATTR 140317027706436 (a45e1c5e-47fd-4839-8123-3158a4cdc959) resolution failed
[2013-09-06 05:21:49.737725] E [fuse-bridge.c:1162:fuse_getattr_resume] 0-glusterfs-fuse: 930: GETATTR 140317027709712 (360a0146-c301-481f-92c0-a2fb2b6a9ab1) resolution failed
[2013-09-06 05:21:49.738348] E [fuse-bridge.c:1493:fuse_setattr_resume] 0-glusterfs-fuse: 931: SETATTR 140317027709712 (360a0146-c301-481f-92c0-a2fb2b6a9ab1) resolution failed
[2013-09-06 05:21:49.738981] E [fuse-bridge.c:1162:fuse_getattr_resume] 0-glusterfs-fuse: 932: GETATTR 140317027709556 (87f760bd-da66-4ca0-80c2-65e4d1764c21) resolution failed
[2013-09-06 05:21:49.739565] E [fuse-bridge.c:1493:fuse_setattr_resume] 0-glusterfs-fuse: 933: SETATTR 140317027709556 (87f760bd-da66-4ca0-80c2-65e4d1764c21) resolution failed
[2013-09-06 05:21:49.740287] E [fuse-bridge.c:1162:fuse_getattr_resume] 0-glusterfs-fuse: 934: GETATTR 140317027706280 (2cd672e2-8067-4f3e-a876-6925c81fb330) resolution failed
[2013-09-06 05:21:49.740949] E [fuse-bridge.c:1493:fuse_setattr_resume] 0-glusterfs-fuse: 935: SETATTR 140317027706280 (2cd672e2-8067-4f3e-a876-6925c81fb330) resolution failed
[2013-09-06 05:21:49.741651] E [fuse-bridge.c:1162:fuse_getattr_resume] 0-glusterfs-fuse: 936: GETATTR 140317027709400 (0f4a0d88-d3ad-4ed1-8b71-f01dc1bf3e7f) resolution failed
[2013-09-06 05:21:49.742305] E [fuse-bridge.c:1493:fuse_setattr_resume] 0-glusterfs-fuse: 937: SETATTR 140317027709400 (0f4a0d88-d3ad-4ed1-8b71-f01dc1bf3e7f) resolution failed


Case 2:-
1. remove all files from volume 
2. reset clustr.nufa option for volume
[root@DHT3 ~]# gluster v info nufa
 
Volume Name: nufa
Type: Distribute
Volume ID: dd08d0e3-3b71-4d1b-8102-fd6067ecc263
Status: Started
Number of Bricks: 3
Transport-type: tcp
Bricks:
Brick1: 10.70.37.195:/rhs/brick2/n1
Brick2: 10.70.37.66:/rhs/brick2/n1
Brick3: 10.70.37.98:/rhs/brick2/n1

3. try to create files from server mount point and got below error

[root@DHT3 nufa]# touch f{1..10}
touch: cannot touch `f1': No such file or directory
touch: cannot touch `f5': No such file or directory
touch: cannot touch `f6': No such file or directory
touch: cannot touch `f8': No such file or directory
touch: cannot touch `f10': No such file or directory
[root@DHT3 nufa]# ls
f1  f10  f2  f3  f4  f5  f6  f7  f8  f9

log:-
[2013-09-06 05:00:37.589976] W [client-rpc-fops.c:519:client3_3_stat_cbk] 11-nufa-client-0: remote operation failed: No such file or directory
[2013-09-06 05:00:37.591918] E [dht-helper.c:429:dht_subvol_get_hashed] (-->/usr/lib64/glusterfs/3.4.0.30rhs/xlator/cluster/distribute.so(dht_migration_complete_check_task+0x11e) [0x7f838bdc17fe] (-->/usr/lib64/libglusterfs.so.0(syncop_lookup+0x19a) [0x382164c0ea] (-->/usr/lib64/glusterfs/3.4.0.30rhs/xlator/cluster/nufa.so(nufa_lookup+0x90) [0x7f8388e4d020]))) 11-nufa-dht: invalid argument: loc->parent
[2013-09-06 05:00:37.594820] W [client-rpc-fops.c:1983:client3_3_setattr_cbk] 11-nufa-client-0: remote operation failed: No such file or directory
[2013-09-06 05:00:37.596975] E [dht-helper.c:429:dht_subvol_get_hashed] (-->/usr/lib64/glusterfs/3.4.0.30rhs/xlator/cluster/distribute.so(dht_migration_complete_check_task+0x11e) [0x7f838bdc17fe] (-->/usr/lib64/libglusterfs.so.0(syncop_lookup+0x19a) [0x382164c0ea] (-->/usr/lib64/glusterfs/3.4.0.30rhs/xlator/cluster/nufa.so(nufa_lookup+0x90) [0x7f8388e4d020]))) 11-nufa-dht: invalid argument: loc->parent
[2013-09-06 05:00:37.599908] W [client-rpc-fops.c:1983:client3_3_setattr_cbk] 11-nufa-client-0: remote operation failed: No such file or directory
[2013-09-06 05:00:37.600023] W [fuse-bridge.c:1440:fuse_setattr_cbk] 0-glusterfs-fuse: 454: SETATTR() /f1 => -1 (No such file or directory)
[2013-09-06 05:00:37.611469] W [client-rpc-fops.c:519:client3_3_stat_cbk] 11-nufa-client-0: remote operation failed: No such file or directory
[2013-09-06 05:00:37.613232] E [dht-helper.c:429:dht_subvol_get_hashed] (-->/usr/lib64/glusterfs/3.4.0.30rhs/xlator/cluster/distribute.so(dht_migration_complete_check_task+0x11e) [0x7f838bdc17fe] (-->/usr/lib64/libglusterfs.so.0(syncop_lookup+0x19a) [0x382164c0ea] (-->/usr/lib64/glusterfs/3.4.0.30rhs/xlator/cluster/nufa.so(nufa_lookup+0x90) [0x7f8388e4d020]))) 11-nufa-dht: invalid argument: loc->parent
[2013-09-06 05:00:37.615630] W [client-rpc-fops.c:1983:client3_3_setattr_cbk] 11-nufa-client-0: remote operation failed: No such file or directory
[2013-09-06 05:00:37.617433] E [dht-helper.c:429:dht_subvol_get_hashed] (-->/usr/lib64/glusterfs/3.4.0.30rhs/xlator/cluster/distribute.so(dht_migration_complete_check_task+0x11e) [0x7f838bdc17fe] (-->/usr/lib64/libglusterfs.so.0(syncop_lookup+0x19a) [0x382164c0ea] (-->/usr/lib64/glusterfs/3.4.0.30rhs/xlator/cluster/nufa.so(nufa_lookup+0x90) [0x7f8388e4d020]))) 11-nufa-dht: invalid argument: loc->parent
[2013-09-06 05:00:37.619556] W [client-rpc-fops.c:1983:client3_3_setattr_cbk] 11-nufa-client-0: remote operation failed: No such file or directory
[2013-09-06 05:00:37.619686] W [fuse-bridge.c:1440:fuse_setattr_cbk] 0-glusterfs-fuse: 472: SETATTR() /f5 => -1 (No such file or directory)
[2013-09-06 05:00:37.620634] W [client-rpc-fops.c:519:client3_3_stat_cbk] 11-nufa-client-2: remote operation failed: No such file or directory
[2013-09-06 05:00:37.622433] E [dht-helper.c:429:dht_subvol_get_hashed] (-->/usr/lib64/glusterfs/3.4.0.30rhs/xlator/cluster/distribute.so(dht_migration_complete_check_task+0x11e) [0x7f838bdc17fe] (-->/usr/lib64/libglusterfs.so.0(syncop_lookup+0x19a) [0x382164c0ea] (-->/usr/lib64/glusterfs/3.4.0.30rhs/xlator/cluster/nufa.so(nufa_lookup+0x90) [0x7f8388e4d020]))) 11-nufa-dht: invalid argument: loc->parent
[2013-09-06 05:00:37.624711] W [client-rpc-fops.c:1983:client3_3_setattr_cbk] 11-nufa-client-2: remote operation failed: No such file or directory
[2013-09-06 05:00:37.626469] E [dht-helper.c:429:dht_subvol_get_hashed] (-->/usr/lib64/glusterfs/3.4.0.30rhs/xlator/cluster/distribute.so(dht_migration_complete_check_task+0x11e) [0x7f838bdc17fe] (-->/usr/lib64/libglusterfs.so.0(syncop_lookup+0x19a) [0x382164c0ea] (-->/usr/lib64/glusterfs/3.4.0.30rhs/xlator/cluster/nufa.so(nufa_lookup+0x90) [0x7f8388e4d020]))) 11-nufa-dht: invalid argument: loc->parent
[2013-09-06 05:00:37.628627] W [client-rpc-fops.c:1983:client3_3_setattr_cbk] 11-nufa-client-2: remote operation failed: No such file or directory
[2013-09-06 05:00:37.628735] W [fuse-bridge.c:1440:fuse_setattr_cbk] 0-glusterfs-fuse: 474: SETATTR() /f6 => -1 (No such file or directory)
[2013-09-06 05:00:37.632985] W [client-rpc-fops.c:519:client3_3_stat_cbk] 11-nufa-client-1: remote operation failed: No such file or directory
[2013-09-06 05:00:37.634820] E [dht-helper.c:429:dht_subvol_get_hashed] (-->/usr/lib64/glusterfs/3.4.0.30rhs/xlator/cluster/distribute.so(dht_migration_complete_check_task+0x11e) [0x7f838bdc17fe] (-->/usr/lib64/libglusterfs.so.0(syncop_lookup+0x19a) [0x382164c0ea] (-->/usr/lib64/glusterfs/3.4.0.30rhs/xlator/cluster/nufa.so(nufa_lookup+0x90) [0x7f8388e4d020]))) 11-nufa-dht: invalid argument: loc->parent
[2013-09-06 05:00:37.637224] W [client-rpc-fops.c:1983:client3_3_setattr_cbk] 11-nufa-client-1: remote operation failed: No such file or directory
[2013-09-06 05:00:37.638830] E [dht-helper.c:429:dht_subvol_get_hashed] (-->/usr/lib64/glusterfs/3.4.0.30rhs/xlator/cluster/distribute.so(dht_migration_complete_check_task+0x11e) [0x7f838bdc17fe] (-->/usr/lib64/libglusterfs.so.0(syncop_lookup+0x19a) [0x382164c0ea] (-->/usr/lib64/glusterfs/3.4.0.30rhs/xlator/cluster/nufa.so(nufa_lookup+0x90) [0x7f8388e4d020]))) 11-nufa-dht: invalid argument: loc->parent
[2013-09-06 05:00:37.643228] W [client-rpc-fops.c:1983:client3_3_setattr_cbk] 11-nufa-client-1: remote operation failed: No such file or directory
[2013-09-06 05:00:37.643324] W [fuse-bridge.c:1440:fuse_setattr_cbk] 0-glusterfs-fuse: 481: SETATTR() /f8 => -1 (No such file or directory)
[2013-09-06 05:00:37.647342] W [client-rpc-fops.c:519:client3_3_stat_cbk] 11-nufa-client-0: remote operation failed: No such file or directory
[2013-09-06 05:00:37.648957] E [dht-helper.c:429:dht_subvol_get_hashed] (-->/usr/lib64/glusterfs/3.4.0.30rhs/xlator/cluster/distribute.so(dht_migration_complete_check_task+0x11e) [0x7f838bdc17fe] (-->/usr/lib64/libglusterfs.so.0(syncop_lookup+0x19a) [0x382164c0ea] (-->/usr/lib64/glusterfs/3.4.0.30rhs/xlator/cluster/nufa.so(nufa_lookup+0x90) [0x7f8388e4d020]))) 11-nufa-dht: invalid argument: loc->parent
[2013-09-06 05:00:37.651005] W [client-rpc-fops.c:1983:client3_3_setattr_cbk] 11-nufa-client-0: remote operation failed: No such file or directory
[2013-09-06 05:00:37.652748] E [dht-helper.c:429:dht_subvol_get_hashed] (-->/usr/lib64/glusterfs/3.4.0.30rhs/xlator/cluster/distribute.so(dht_migration_complete_check_task+0x11e) [0x7f838bdc17fe] (-->/usr/lib64/libglusterfs.so.0(syncop_lookup+0x19a) [0x382164c0ea] (-->/usr/lib64/glusterfs/3.4.0.30rhs/xlator/cluster/nufa.so(nufa_lookup+0x90) [0x7f8388e4d020]))) 11-nufa-dht: invalid argument: loc->parent
[2013-09-06 05:00:37.654999] W [client-rpc-fops.c:1983:client3_3_setattr_cbk] 11-nufa-client-0: remote operation failed: No such file or directory
[2013-09-06 05:00:37.655105] W [fuse-bridge.c:1440:fuse_setattr_cbk] 0-glusterfs-fuse: 488: SETATTR() /f10 => -1 (No such file or directory)

Actual results:
got an error for touch command 'touch: cannot touch `f5': No such file or directory'

Expected results:
touch should not give error 'No such file or directory'


Additional info:
Comment 3 Rachana Patel 2013-09-06 08:21:51 EDT
In 'Steps to Reproduce' first step should be

1.have a cluster of 3 RHSS and distributed volume having one brick per server. set cluster.nufa 'On'
Comment 4 Scott Haines 2013-09-27 13:08:06 EDT
Targeting for 3.0.0 (Denali) release.
Comment 7 Nagaprasad Sathyanarayana 2014-05-06 07:43:41 EDT
Dev ack to 3.0 RHS BZs

Note You need to log in before you can comment on or make changes to this bug.